<?php
namespace backendApi\modules\v1\models\exportForms;

use common\libs\export\module\BaShopExport;
use yii\db\Exception;

class BaShopExportForm extends BaseExportForm
{
    /**
     * 导出
     * @param $filter
     * @param $listName
     * @param null $consoleRouter
     * @return bool
     * @throws Exception
     */
    public function run($filter, $listName, $consoleRouter = null){
        $this->exportObj = BaShopExport::instance();
        return $this->export($filter, $listName, $consoleRouter);
    }


}
